POST
https://www.app.ocoya.com/api/_public/v1/contacts/bulk
Change many contacts
curl --request POST \
  --url https://www.app.ocoya.com/api/_public/v1/contacts/bulk \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "ids": [
    "<string>"
  ],
  "action": "add_to_groups",
  "groups": [
    "<string>"
  ],
  "groupIds": [
    "<string>"
  ]
}
'
{
  "action": "<string>",
  "count": 123
}

Authorizations

X-API-Keystringheaderrequired

Your API key. Create one in Ocoya. Authorization: Bearer <key> works too.

Query Parameters

brandIdstringrequired

Ocoya brand ID. Get one from GET /brands.

Example:"cmayvq3hk00017apshay5qezu"

Body

application/json
idsstring[]required
actionenum<string>required
Available options: add_to_groups, remove_from_groups, unsubscribe, delete
groupsstring[]
groupIdsstring[]

Response

application/json

Done

actionstring
countinteger